Skip to main content
POST
/
party-invitations
Create party invitations
curl --request POST \
  --url https://api.natural.co/party-invitations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "invitations": [
        {
          "email": "engineer@velocitylogistics.com",
          "role": "MEMBER"
        },
        {
          "email": "cfo@velocitylogistics.com",
          "role": "ADMIN"
        }
      ],
      "expiresInDays": 7
    }
  }
}
'
{
  "data": [
    {
      "type": "invitation",
      "id": "inv_019cd4a832f37c4b8a1d63e94b7c8d12",
      "attributes": {
        "email": "engineer@velocitylogistics.com",
        "role": "MEMBER",
        "status": "PENDING",
        "expiresAt": "2026-01-11T15:30:00Z",
        "createdAt": "2026-01-04T15:30:00Z",
        "acceptedAt": null
      }
    }
  ],
  "meta": {
    "failed": [
      {
        "email": "bob.smith@example.com",
        "error": "User is already a member of this party"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Body

application/json
data
InvitationCreateData · object
required

Response

Successful Response

data
object[]
required

Successfully created invitation resources

meta
CreateInvitationsMeta · object
required

Batch invitation metadata